QGIS Application - Feature request #14047
Standardize symbols export process between PNG, SVG and XML formats
2015-12-31 09:41 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22058
Description

From the Style Library you can :

- Export to PNG : export to distinct PNG files the selected symbols

- Export to SVG : export to distinct SVG files the selected symbols

- Export : opens a dialog to select the desired symbols, should they be Marker, Line, Fill or Color ramp item. It then saves these
symbols into a single xml file.

It may be more handy to have a single Export button that still opens the symbol selection dialog with an option to choose the file format at
its bottom.

If xml is choosen, it'll generate one file containing all selected symbols and if SVG or PNG is selected, it'll create as many files as selected
symbols.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
